Subject: Re: [PATCH ethtool] ethtool: Add support for WAKE_FILTER

From: Andrew Lunn <[email-masked]>
Date: Tue, 31 Jul 2018 01:01:01 +0200

> One usability issue with this approach is that one cannot specify
> wake-on-LAN using WAKE_MAGICSECURE *and* WAKE_FILTER at the same time,
> since it uses the same location in the ioctl() structure that is being
> passed. Do you see this as a problem?

Hi Florian

I think you missed adding a check for this. ethtool_set_wol() should
check if both WAKE_FILTER and WAKE_MAGICSECURE are set and return
EINVAL.

	Andrew